package com.goafanti.business.service;

import java.util.List;

import com.goafanti.business.bo.BusinessVarietiesBo;
import com.goafanti.business.bo.VarietiesBo;
import com.goafanti.common.model.BusinessVarieties;
import com.goafanti.core.mybatis.page.Pagination;

public interface BusinessVarietiesService {
	
	int insert(String cname, String superId);
	
	Pagination<BusinessVarieties> listVarieties(String cname, String superId, Integer layer, String status,
			Integer pNo, Integer pSize);
	
	List<BusinessVarietiesBo> getSuperList();
	
	BusinessVarietiesBo editVarieties(String id);
	
	int updateVarietoes(String id,String cname,String superId,String status,String varietiesLogo);
	
	int deleteState(String id);
	
	int updateStatus(String id);
	
	int isBeing(String cname);
	
	int getCountSon(String id);
	int getLayer(String superId);

	boolean ifLayer(String superId,String id);

	List<VarietiesBo> getVarieties();

	int  updateLocation(String id, Integer sort, Integer flag);

	List<VarietiesBo> portalVarieties();
	
	int saveInterest(String uid,String objectId,String interest);
}

